Bug 204682 - mail/spamassassin: fix (a new) DNS resolving incompatibility with p5-Net-DNS-1.03
Summary: mail/spamassassin: fix (a new) DNS resolving incompatibility with p5-Net-DNS-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-19 16:15 UTC by Mark.Martinec
Modified: 2015-11-23 17:00 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (adamw)


Attachments
A patch to fix DNS resolving with Net::DNS 1.03 (2.59 KB, patch)
2015-11-19 16:16 UTC, Mark.Martinec
no flags Details | Diff
this fixes another problem with Net::DNS 1.03 (579 bytes, patch)
2015-11-19 19:39 UTC, Mark.Martinec
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark.Martinec 2015-11-19 16:15:37 UTC
Perl module Net::DNS 1.03 introduced an incompatibility
in its API, which causes all DNS lookups in SpamAssassin
to fail.

The issue is documented in:
  https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7265
  https://rt.cpan.org/Public/Bug/Display.html?id=108745
  https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204656

The attached patch fixes the incompatibility in
Mail/SpamAssassin/DnsResolver.pm so that it works
with Net::DNS 1.03, as well as its older versions.
The patch is the same as proposed in Bug 7265
(as linked above).
Comment 1 Mark.Martinec 2015-11-19 16:16:42 UTC
Created attachment 163334 [details]
A patch to fix DNS resolving with Net::DNS 1.03
Comment 2 Mark.Martinec 2015-11-19 16:41:01 UTC
Please hold on a bit, one of the plugins is still broken
due to its special use of a DNS resolver.
Will provide an updated patch...
Comment 3 Mark.Martinec 2015-11-19 19:39:15 UTC
Created attachment 163343 [details]
this fixes another problem with Net::DNS 1.03

So here is the second patch, fixing a DKIM plugin.
Both patches are needed to fix compatibility with Net::DNS 1.03.

Details at:
  https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7265#c8


Please apply to a port - until SpamAssassin 3.4.2 is released.
Comment 4 Adam Weinberger freebsd_committer 2015-11-23 17:00:38 UTC
Committed. Thank you, Mark!
Comment 5 commit-hook freebsd_committer 2015-11-23 17:00:49 UTC
A commit references this bug:

Author: adamw
Date: Mon Nov 23 17:00:19 UTC 2015
New revision: 402285
URL: https://svnweb.freebsd.org/changeset/ports/402285

Log:
  Add two patches from upstream bug #7265, which fixes incompatibilities with
  Net::DNS 1.03. The FreeBSD p5-Net-DNS port has been downgraded to 1.02 but
  Net::DNS will be re-issued at some point soon. The changes in these patches
  seem to work well with Net::DNS 1.02.

  While here, add some TEST_DEPENDS so I can run the plugin-based tests as well.

  Bump PORTREVISION for spamassassin and japanese/spamassassin.

  PR:		204682
  Submitted by:	Mark.Martinec@ijs.si
  Obtained from:	https://bz.apache.org/SpamAssassin/show_bug.cgi?id=7265

Changes:
  head/japanese/spamassassin/Makefile
  head/mail/spamassassin/Makefile
  head/mail/spamassassin/files/patch-bug7265